# Serialized Form

- ## Package uk.ac.starlink.task

  - ### Class uk.ac.starlink.task.AbortException extends TaskException implements Serializable

  - ### Class uk.ac.starlink.task.ExecutionException extends TaskException implements Serializable

    - ### Serialized Fields

      - #### errorCode

            int errorCode

  - ### Class uk.ac.starlink.task.ParameterValueException extends UsageException implements Serializable

    - ### Serialized Fields

      - #### param_

            Parameter<T> param_

  - ### Class uk.ac.starlink.task.TaskException extends java.lang.Exception implements Serializable

  - ### Class uk.ac.starlink.task.UsageException extends TaskException implements Serializable

    - ### Serialized Fields

      - #### usage

            java.lang.String usage

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.